UPDATE [rtd].[RealTimeFormulas]
SET
    [RTD_FORMULA] = s.[RTD_FORMULA]
FROM
    [rtd].[RealTimeFormulas] t
    INNER JOIN (
          SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Description' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DESCRIPTION",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Last' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Change' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"NET_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'PercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PERCENT_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'LastSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'LastX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Mark' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'MarkChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'MarkPercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Bid' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Ask' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'BidSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'AskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'BidAskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BA_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'BidX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'AskX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"AX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Open' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'High' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"HIGH",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Low' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LOW",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Close' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CLOSE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Volume' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOLUME",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'OpenInt' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN_INT",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'ImpliedVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"IMPL_VOL",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Delta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DELTA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Gamma' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"GAMMA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Theta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"THETA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Vega' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VEGA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Rho' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"RHO",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Extrinsic' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EXTRINSIC",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'Intrinsic' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"INTRINSIC",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'ProbabilityITM' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OF_EXPIRING",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'ProbabilityOTM' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OTM",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'ProbabilityTouch' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OF_TOUCHING",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'CoveredReturn' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"COVERED_RETURN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionTickHistoryTOS' AS [TABLE_NAME], N'MaxCoveredReturn' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MAX_COVERED_RETURN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Description' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DESCRIPTION",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Last' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Change' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"NET_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'PercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PERCENT_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'LastSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'LastX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Mark' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'MarkChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'MarkPercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Bid' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Ask' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'BidSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'AskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'BidAskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BA_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'BidX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'AskX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"AX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Open' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'High' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"HIGH",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Low' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LOW",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Close' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CLOSE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Volume' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOLUME",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'OpenInt' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN_INT",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'ImpliedVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"IMPL_VOL",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Delta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DELTA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Gamma' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"GAMMA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Theta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"THETA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Vega' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VEGA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Rho' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"RHO",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Extrinsic' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EXTRINSIC",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'Intrinsic' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"INTRINSIC",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'ProbabilityITM' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OF_EXPIRING",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'ProbabilityOTM' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OTM",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'ProbabilityTouch' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OF_TOUCHING",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'CoveredReturn' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"COVERED_RETURN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionDayHistoryTOS' AS [TABLE_NAME], N'MaxCoveredReturn' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MAX_COVERED_RETURN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Description' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DESCRIPTION",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Last' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Change' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"NET_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'PercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PERCENT_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'LastSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'LastX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Mark' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'MarkChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'MarkPercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Bid' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Ask' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'BidSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'AskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'BidAskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BA_SIZE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'BidX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'AskX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"AX",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Open' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'High' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"HIGH",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Low' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LOW",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Close' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CLOSE",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Volume' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOLUME",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'OpenInt' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN_INT",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'ImpliedVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"IMPL_VOL",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Delta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DELTA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Gamma' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"GAMMA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Theta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"THETA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Vega' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VEGA",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Rho' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"RHO",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Extrinsic' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EXTRINSIC",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'Intrinsic' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"INTRINSIC",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'ProbabilityITM' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OF_EXPIRING",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'ProbabilityOTM' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OTM",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'ProbabilityTouch' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PROB_OF_TOUCHING",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'CoveredReturn' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"COVERED_RETURN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'OptionsTOS' AS [TABLE_NAME], N'MaxCoveredReturn' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MAX_COVERED_RETURN",[Code])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Description' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DESCRIPTION",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Last' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Change' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"NET_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'PercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PERCENT_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'LastSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'LastX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Mark' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'MarkChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'MarkPercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Bid' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Ask' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'BidSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'AskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'BidAskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BA_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'BidX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'AskX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"AX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'StrengthMeter' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"STRENGTH_METER",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Open' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'High' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"HIGH",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Low' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LOW",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Close' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CLOSE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Volume' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOLUME",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'OpenInt' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN_INT",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'ImpliedVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"IMPL_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'VolIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOL_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'FrontVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"FRONT_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'BackVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BACK_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'WeightedBackVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"WEIGHTED_BACK_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'VolDiff' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOL_DIFF",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'PutCallRatio' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PUT_CALL_RATIO",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'CallVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CALL_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'PutVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PUT_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'OptionVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPTION_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'FrontExpectedMove' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"FRONT_EX_MOVE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'BackExpectedMove' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BACK_EX_MOVE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'ExpectedMoveDiff' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EX_MOVE_DIFF",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Beta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BETA",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'High52' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"52HIGH",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Low52' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"52LOW",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'PE' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'EPS' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EPS",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'MarketCap' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARKET_CAP",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'Shares' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"SHARES",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'DividendYield' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"YIELD",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteTickHistoryTOS' AS [TABLE_NAME], N'DividendShare' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DIV",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Description' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DESCRIPTION",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Last' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Change' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"NET_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'PercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PERCENT_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'LastSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'LastX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Mark' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'MarkChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'MarkPercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Bid' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Ask' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'BidSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'AskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'BidAskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BA_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'BidX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'AskX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"AX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'StrengthMeter' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"STRENGTH_METER",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Open' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'High' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"HIGH",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Low' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LOW",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Close' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CLOSE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Volume' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOLUME",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'OpenInt' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN_INT",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'ImpliedVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"IMPL_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'VolIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOL_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'FrontVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"FRONT_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'BackVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BACK_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'WeightedBackVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"WEIGHTED_BACK_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'VolDiff' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOL_DIFF",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'PutCallRatio' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PUT_CALL_RATIO",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'CallVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CALL_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'PutVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PUT_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'OptionVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPTION_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'FrontExpectedMove' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"FRONT_EX_MOVE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'BackExpectedMove' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BACK_EX_MOVE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'ExpectedMoveDiff' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EX_MOVE_DIFF",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Beta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BETA",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'High52' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"52HIGH",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Low52' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"52LOW",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'PE' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'EPS' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EPS",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'MarketCap' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARKET_CAP",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'Shares' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"SHARES",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'DividendYield' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"YIELD",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuoteDayHistoryTOS' AS [TABLE_NAME], N'DividendShare' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DIV",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Description' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DESCRIPTION",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Last' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Change' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"NET_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'PercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PERCENT_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'LastSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LAST_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'LastX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Mark' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'MarkChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'MarkPercentChange' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARK_PERCENT_CHANGE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Bid' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Ask' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'BidSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BID_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'AskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"ASK_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'BidAskSize' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BA_SIZE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'BidX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'AskX' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"AX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'StrengthMeter' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"STRENGTH_METER",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Open' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'High' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"HIGH",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Low' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"LOW",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Close' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CLOSE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Volume' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOLUME",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'OpenInt' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPEN_INT",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'ImpliedVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"IMPL_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'VolIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOL_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'FrontVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"FRONT_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'BackVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BACK_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'WeightedBackVol' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"WEIGHTED_BACK_VOL",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'VolDiff' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"VOL_DIFF",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'PutCallRatio' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PUT_CALL_RATIO",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'CallVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"CALL_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'PutVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PUT_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'OptionVolumeIndex' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"OPTION_VOLUME_INDEX",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'FrontExpectedMove' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"FRONT_EX_MOVE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'BackExpectedMove' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BACK_EX_MOVE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'ExpectedMoveDiff' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EX_MOVE_DIFF",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Beta' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"BETA",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'High52' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"52HIGH",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Low52' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"52LOW",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'PE' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"PE",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'EPS' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"EPS",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'MarketCap' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"MARKET_CAP",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'Shares' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"SHARES",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'DividendYield' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"YIELD",[Symbol])' AS [RTD_FORMULA]
UNION ALL SELECT N'rtd' AS [TABLE_SCHEMA], N'QuotesTOS' AS [TABLE_NAME], N'DividendShare' AS [COLUMN_NAME], N'=RTD("tos.rtd",,"DIV",[Symbol])' AS [RTD_FORMULA]
    ) s ON t.[TABLE_SCHEMA] = s.[TABLE_SCHEMA] AND t.[TABLE_NAME] = s.[TABLE_NAME] AND t.[COLUMN_NAME] = s.[COLUMN_NAME];
