SELECT
    t.[linkId]
    , t.[link]
    , t.[title]
    , t.[summary]
    , t.[summaryType]
    , t.[updated]
    , t.[DateCreated]
    , t.[Downloads]
    , t.[Eula]
    , t.[FileName]
    , t.[FileSize]
    , t.[Version]
    , t.[Id]
    , t.[DateUpdated]
    , t.[Description]
    , t.[Name]
    , t.[ResearchAreas]
    , t.[Url]
FROM
    (
    SELECT
        [linkId] AS [linkId]
        , [link] AS [link]
        , [title] AS [title]
        , [summary] AS [summary]
        , [summaryType] AS [summaryType]
        , [updated] AS [updated]
        , [DateCreated] AS [DateCreated]
        , [Downloads] AS [Downloads]
        , [Eula] AS [Eula]
        , [FileName] AS [FileName]
        , [FileSize] AS [FileSize]
        , [Version] AS [Version]
        , [Id] AS [Id]
        , [DateUpdated] AS [DateUpdated]
        , [Description] AS [Description]
        , [Name] AS [Name]
        , [ResearchAreas] AS [ResearchAreas]
        , [Url] AS [Url]
    FROM
        OPENROWSET(
            BULK 'rmc_downloads.csv',
            FORMATFILE = 'rmc_downloads.fmt',
            CODEPAGE = '1250',
            FIRSTROW = 2) t
    ) t
