SELECT
    t.[Name]
    , t.[OrganizationName]
    , t.[Email]
    , t.[Phone]

    --, t.[ID]
    --, t.[Updated]
    --, t.[Link]
    --, t.[OrganizationPrimary]
    --, t.[Title]
    --, t.[EmailPrimary]
    --, t.[PhoneNumberUri]
    --, t.[Content]
FROM
    (
    SELECT
        [ID] AS [ID]
        , [Updated] AS [Updated]
        , [Name] AS [Name]
        , [Link] AS [Link]
        , [OrganizationPrimary] AS [OrganizationPrimary]
        , [OrganizationName] AS [OrganizationName]
        , [Email] AS [Email]
        , [EmailPrimary] AS [EmailPrimary]
        , [PhoneNumberUri] AS [PhoneNumberUri]
        , [Phone] AS [Phone]
        , [Content] AS [Content]
        , [Title] AS [Title]
    FROM
        OPENROWSET(
            BULK 'D:\TP\SaveToDB\gwebcmd\gwebcmd Examples\Loading using API - Contacts Google\contacts-google.csv',
            FORMATFILE = 'D:\TP\SaveToDB\gwebcmd\gwebcmd Examples\Loading using API - Contacts Google\contacts-google.fmt',
            CODEPAGE = '1251',
            FIRSTROW = 2) t
    ) t
